%bcond_with	allegro_unstable

Name:		atanks
Version:	5.4
Release:	%mkrel 1
Summary:	Scorched Earth game clone
License:	GPLv2+
Group:		Games/Arcade
Url:		http://atanks.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/atanks/atanks-%{version}.tar.gz
Source3:	%{name}-16.png
Source4:	%{name}-32.png
Source5:	%{name}-48.png
Patch0:		atanks-5.4-link.patch
%if %with allegro_unstable
BuildRequires:	allegro-testing-devel
%else
BuildRequires:	allegro-devel
%endif

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q
%apply_patches

%build
%make \
	CC="%{__cxx}" \
	OFLAGS="%{optflags}" \
	LFLAGS="%{ldflags} -L%{_libdir} -lX11 -lXext -lXcursor -lXpm -lxcb -lXrender -lXfixes -lXau -lXdmcp" \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%install
%__rm -rf %{buildroot}

%makeinstall_std \
	BINDIR=%{_gamesbindir} \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%__perl -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

# Fix icon in .desktop file
%__perl -pi -e "s/%{name}.png/%{name}/g" %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
%__mkdir_p %{buildroot}%{_iconsdir}/hicolor/16x16/apps
%__mkdir_p %{buildroot}%{_iconsdir}/hicolor/32x32/apps

%__install -D -m 644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__install -D -m 644 %{SOURCE4} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png



%clean
%__rm -rf %{buildroot}

%files
%doc Changelog README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Sat Apr 21 2012 Andrey Bondrov <abondrov@mandriva.org> 5.4-1mdv2011.0
+ Revision: 792591
- New version 5.4, re-diff linkage patch, add linkage flags in spec

* Thu Feb 23 2012 Götz Waschk <waschk@mandriva.org> 5.3-1
+ Revision: 779324
- new version
- rediff patch

* Thu Oct 13 2011 Andrey Bondrov <abondrov@mandriva.org> 5.2-1
+ Revision: 704587
- New version: 5.2

* Wed Sep 28 2011 Andrey Bondrov <abondrov@mandriva.org> 5.1-1
+ Revision: 701731
- New version: 5.1

* Tue Mar 08 2011 Funda Wang <fwang@mandriva.org> 4.8-1
+ Revision: 642799
- fix linkage

  + Zombie Ryushu <ryushu@mandriva.org>
    - fix pthread
    - Update to 4.8 and use xz

* Mon Sep 06 2010 Götz Waschk <waschk@mandriva.org> 4.7-1mdv2011.0
+ Revision: 576210
- update to new version 4.7

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 4.6-1mdv2011.0
+ Revision: 550277
- new version
- fix build

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 4.5-1mdv2010.1
+ Revision: 533679
- new version
- drop patch 0
- rediff patch 1
- update file list

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 4.3-1mdv2010.1
+ Revision: 491636
- new version
- rediff patches

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 4.1-2mdv2010.1
+ Revision: 484585
- rebuild for new allegro

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 4.1-1mdv2010.1
+ Revision: 460838
- new version
- rediff patches
- fix build

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 3.9-1mdv2010.0
+ Revision: 423774
- new version
- fix installation

* Sat Jul 25 2009 Frederik Himpe <fhimpe@mandriva.org> 3.8-1mdv2010.0
+ Revision: 399600
- Update to new version 3.8
- Update format string patch

* Thu Jul 09 2009 Götz Waschk <waschk@mandriva.org> 3.7-1mdv2010.0
+ Revision: 393964
- new version
- fix format string

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6-1mdv2010.0
+ Revision: 383127
- Update to new version 3.6
- Remove string format patch: not needed anymore

* Sun Mar 29 2009 Michael Scherer <misc@mandriva.org> 3.2-2mdv2009.1
+ Revision: 362051
- fix format string error
- no longer define Werror_cflags to null, it compile fine without it
- do not add -c parameters in the menu file, this prevent the game from
  being run, as found by Samuel Verschelde ( bug #49248 )

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 3.2-1mdv2009.1
+ Revision: 324041
- 3.2

* Mon Aug 11 2008 David Walluck <walluck@mandriva.org> 3.1-1mdv2009.0
+ Revision: 270629
- 3.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.9-2mdv2009.0
+ Revision: 266219
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 2.9-1mdv2009.0
+ Revision: 200005
- New version 2.9

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 David Walluck <walluck@mandriva.org> 2.7-1mdv2008.1
+ Revision: 132125
- 2.7

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 2.5-2mdv2008.0
+ Revision: 72154
- fix desktop entry comment

* Thu Aug 16 2007 David Walluck <walluck@mandriva.org> 2.5-1mdv2008.0
+ Revision: 64130
- 2.5


* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 2.2-1mdv2007.1
+ Revision: 141212
- 2.2
  really set OFLAGS
  macros

* Wed Feb 14 2007 Lenny Cartier <lenny@mandriva.com> 2.1-1mdv2007.1
+ Revision: 120733
- Update to 2.1

* Wed Jan 10 2007 Lenny Cartier <lenny@mandriva.com> 2.0-1mdv2007.1
+ Revision: 107125
- Update to 2.0

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 1.5a-1mdv2007.0
+ Revision: 52854
- 1.5a
- Import atanks

* Tue Aug 01 2006 Lenny Cartier <lenny@mandriva.com> 1.1.0-6mdv2007.0
- xdg

* Tue Jul 26 2005 Olivier Blin <oblin@mandriva.com> 1.1.0-5mdk
- fix BuildRequires
- rebuild with allegro-testing-4.2.0

* Sun Jul 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.0-4mdk
- Rebuild

* Sat Apr 16 2005 Guillaume Bedot <littletux@zarb.org> 1.1.0-3mdk
- make it easy to rebuild with allegro or allegro-testing.
- built with allegro-testing.

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-2mdk
- update description
- patch for new g++

